<?php


/**
 * @file
 * Default views for leaguesite.module.
 */

/**
 * Implementation of hook_views_default_views().
 */
function leaguesite_views_default_views() {
	
$view = new view;
$view->name = 'League Rankings';
$view->description = 'Displays the rankings for teams in a particular league and season.';
$view->tag = '';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('fields', array(
  'counter' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'counter_start' => '1',
    'exclude' => 0,
    'id' => 'counter',
    'table' => 'views',
    'field' => 'counter',
    'relationship' => 'none',
  ),
  'title' => array(
    'label' => 'Club',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'exclude' => 0,
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'relationship' => 'none',
  ),
  'played' => array(
    'label' => 'Played',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'played',
    'table' => 'leaguesite_standings',
    'field' => 'played',
    'relationship' => 'none',
  ),
  'won' => array(
    'label' => 'Won',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'won',
    'table' => 'leaguesite_standings',
    'field' => 'won',
    'relationship' => 'none',
  ),
  'drawn' => array(
    'label' => 'Drawn',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'drawn',
    'table' => 'leaguesite_standings',
    'field' => 'drawn',
    'relationship' => 'none',
  ),
  'lost' => array(
    'label' => 'Lost',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'lost',
    'table' => 'leaguesite_standings',
    'field' => 'lost',
    'relationship' => 'none',
  ),
  'goals_for' => array(
    'label' => 'Goals for',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'goals_for',
    'table' => 'leaguesite_standings',
    'field' => 'goals_for',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Overschrijf',
    ),
  ),
  'goals_against' => array(
    'label' => 'Goals against',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'goals_against',
    'table' => 'leaguesite_standings',
    'field' => 'goals_against',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Overschrijf',
    ),
  ),
  'points' => array(
    'label' => 'Points',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 0,
    'id' => 'points',
    'table' => 'leaguesite_standings',
    'field' => 'points',
    'relationship' => 'none',
  ),
));
$handler->override_option('sorts', array(
  'points' => array(
    'order' => 'DESC',
    'id' => 'points',
    'table' => 'leaguesite_standings',
    'field' => 'points',
    'relationship' => 'none',
  ),
  'played' => array(
    'order' => 'ASC',
    'id' => 'played',
    'table' => 'leaguesite_standings',
    'field' => 'played',
    'relationship' => 'none',
  ),
  'won' => array(
    'order' => 'DESC',
    'id' => 'won',
    'table' => 'leaguesite_standings',
    'field' => 'won',
    'override' => array(
      'button' => 'Overschrijf',
    ),
    'relationship' => 'none',
  ),
  'points_difference' => array(
    'order' => 'DESC',
    'id' => 'points_difference',
    'table' => 'leaguesite_standings',
    'field' => 'points_difference',
    'override' => array(
      'button' => 'Overschrijf',
    ),
    'relationship' => 'none',
  ),
  'title' => array(
    'order' => 'ASC',
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'override' => array(
      'button' => 'Overschrijf',
    ),
    'relationship' => 'none',
  ),
));
$handler->override_option('filters', array(
  'latest_season' => array(
    'operator' => '=',
    'value' => 'past',
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'latest_season',
    'table' => 'leaguesite_season',
    'field' => 'latest_season',
    'relationship' => 'none',
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('title', 'League Rankings');
$handler->override_option('items_per_page', 0);
$handler->override_option('style_plugin', 'table');
$handler->override_option('style_options', array(
  'grouping' => '',
  'override' => 1,
  'sticky' => 0,
  'order' => 'asc',
  'columns' => array(
    'played' => 'played',
    'drawn' => 'drawn',
    'lost' => 'lost',
    'won' => 'won',
    'goals_against' => 'goals_against',
    'goals_for' => 'goals_for',
    'points' => 'points',
    'title' => 'title',
  ),
  'info' => array(
    'played' => array(
      'separator' => '',
    ),
    'drawn' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'lost' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'won' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'goals_against' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'goals_for' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'points' => array(
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 0,
      'separator' => '',
    ),
  ),
  'default' => '-1',
));
$handler = $view->new_display('page', 'Page', 'page_1');
$handler->override_option('path', 'league_standings');
$handler->override_option('menu', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('tab_options', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));

$views[$view->name] = $view;

return $views;
}